=head1 NAME

Gtk2::CellRendererProgress

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererProgress



=cut


=head1 METHODS

=head2 cellrenderer = Gtk2::CellRendererProgress-E<gt>B<new> 



=cut


=head1 PROPERTIES

=over

=item 'orientation' (Gtk2::ProgressBarOrientation : readable / writable / private)

Orientation and growth direction of the progress bar

=item 'pulse' (integer : readable / writable / private)

Set this to positive values to indicate that some progress is made, but you don't know how much.

=item 'text' (string : readable / writable / private)

Text on the progress bar

=item 'text-xalign' (Glib::Float : readable / writable / private)

The horizontal text alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

=item 'text-yalign' (Glib::Float : readable / writable / private)

The vertical text alignment, from 0 (top) to 1 (bottom).

=item 'value' (integer : readable / writable / private)

Value of the progress bar

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::ProgressBarOrientation

=over

=item * 'left-to-right' / 'GTK_PROGRESS_LEFT_TO_RIGHT'

=item * 'right-to-left' / 'GTK_PROGRESS_RIGHT_TO_LEFT'

=item * 'bottom-to-top' / 'GTK_PROGRESS_BOTTOM_TO_TOP'

=item * 'top-to-bottom' / 'GTK_PROGRESS_TOP_TO_BOTTOM'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::CellRenderer>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

